%define major       0
%define libname     TheP8I



Name:           TheP8I
Version:        2.0.1
Release:        1%{?dist}
License:        GPL
Url:            https://gitlab.cern.ch/TheP8I/TheP8I
Source0:        https://gitlab.cern.ch/TheP8I/TheP8I/-/archive/2.0.0/%{name}-2.0.0.tar.gz
Prefix: %{_prefix}
Summary:          Lund hadronisation for Herwig  
BuildRequires:    pythia8-devel pythia8 ThePEG-devel ThePEG gsl gsl-devel autoconf automake libtool lhapdf lhapdf-devel
Requires:         pythia8 gsl ThePEG

%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
BuildRequires: gcc-c++ gcc
%else
BuildRequires: devtoolset-8-gcc-c++ devtoolset-8-gcc scl-utils
%endif


%description
Lund hadronisation for Herwig. Part of earlier ThePEG codes.

%prep
%setup -qn TheP8I-2.0.0
%build


%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8

%configure

make

%else
cat <<DTS3_EOF_MACRO | scl enable devtoolset-8 --

./configure  	--program-prefix= \
	--disable-dependency-tracking \
	--prefix=/usr \
	--exec-prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--sysconfdir=/etc \
	--datadir=/usr/share \
	--includedir=/usr/include \
	--libdir=/usr/%_lib \
	--libexecdir=/usr/libexec \
	--localstatedir=/var \
	--sharedstatedir=/var/lib \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info


make

DTS3_EOF_MACRO
%endif


%install
%make_install


%files -n %{libname}
%{_libdir}/ThePEG/*
%_datadir/*

%changelog
* Thu Mar 12 2020 Andrii Verbytskyi <andrii.verbytskyi@mpp.mpg.de> 2.0.0
+ Update to 2.0.0

* Thu Jan 17 2019 Andrii Verbytskyi <andrii.verbytskyi@mpp.mpg.de> 1.0.0
+ test

